View Issue Details

IDCategoryLast Update
0008519other2021-02-22 03:30
ReporteralexmitchellmusAssigned Tox42 
Reproducibilityalways 
Status closedResolutionno change required 
PlatformGNUOSLinuxOS Version(any)
Product Version6.5 
Fixed in Version 
Summary0008519: Build Fails
DescriptionLatest GIT fails to build
TagsNo tags attached.

Activities

alexmitchellmus

2020-12-24 03:28

reporter  

build_fail (75,075 bytes)
[ 896/1131] Compiling gtk2_ardour/note.cc
13:50:22 runner ['/usr/bin/g++', '-I/home/alexmitchell/Documents/github/ardour', '-DHAVE_RF64_RIFF', '-DWAF_BUILD', '-g', '-fshow-column', '-DARCH_X86', '-mmmx', '-msse', '-mfpmath=sse', '-DUSE_XMMINTRIN', '-DBUILD_SSE_OPTIMIZATIONS', '-DLXVST_64BIT', '-Wall', '-Wpointer-arith', '-Wcast-qual', '-Wcast-align', '-Wno-unused-parameter', '-DBOOST_SYSTEM_NO_DEPRECATED', '-D_ISOC9X_SOURCE', '-D_LARGEFILE64_SOURCE', '-D_FILE_OFFSET_BITS=64', '-DPROGRAM_NAME="Ardour"', '-DPROGRAM_VERSION="6"', '-Woverloaded-virtual', '-Wno-unused-local-typedefs', '-D__STDC_LIMIT_MACROS', '-D__STDC_FORMAT_MACROS', '-DCANVAS_COMPATIBILITY', '-DCANVAS_DEBUG', '-DBOOST_ERROR_CODE_HEADER_ONLY', '-pthread', '-pthread', '-pthread', '-pthread', '-pthread', '-pthread', '-pthread', '-Igtk2_ardour', '-I../gtk2_ardour', '-Ilibs', '-I../libs', '-Ilibs/vst3', '-I../libs/vst3', '-Ilibs/surfaces/control_protocol', '-I../libs/surfaces/control_protocol', '-Ilibs/surfaces/control_protocol/control_protocol', '-I../libs/surfaces/control_protocol/control_protocol', '-Ilibs/waveview', '-I../libs/waveview', '-Ilibs/ardour', '-I../libs/ardour', '-Ilibs/midi++2', '-I../libs/midi++2', '-Ilibs/evoral', '-I../libs/evoral', '-Ilibs/audiographer', '-I../libs/audiographer', '-Ilibs/audiographer/src', '-I../libs/audiographer/src', '-Ilibs/ptformat', '-I../libs/ptformat', '-Ilibs/canvas', '-I../libs/canvas', '-Ilibs/widgets', '-I../libs/widgets', '-Ilibs/gtkmm2ext', '-I../libs/gtkmm2ext', '-Ilibs/pbd', '-I../libs/pbd', '-Ilibs/evoral/libsmf', '-I../libs/evoral/libsmf', '-Ilibs/temporal', '-I../libs/temporal', '-Ilibs/lua', '-I../libs/lua', '-Ilibs/zita-resampler', '-I../libs/zita-resampler', '-Ilibs/zita-convolver', '-I../libs/zita-convolver', '-Ilibs/libltc/ltc', '-I../libs/libltc/ltc', '-Ilibs/fluidsynth/fluidsynth', '-I../libs/fluidsynth/fluidsynth', '-I/usr/include/freetype2', '-I/usr/include/libpng16', '-I/usr/include/harfbuzz', '-I/usr/include/glib-2.0', '-I/usr/lib/glib-2.0/include', '-I/usr/include/glibmm-2.4', '-I/usr/lib/glibmm-2.4/include', '-I/usr/include/sigc++-2.0', '-I/usr/lib/sigc++-2.0/include', '-I/usr/include/gtk-2.0', '-I/usr/lib/gtk-2.0/include', '-I/usr/include/pango-1.0', '-I/usr/include/libmount', '-I/usr/include/blkid', '-I/usr/include/fribidi', '-I/usr/include/cairo', '-I/usr/include/lzo', '-I/usr/include/pixman-1', '-I/usr/include/gdk-pixbuf-2.0', '-I/usr/include/atk-1.0', '-I/usr/include/gtkmm-2.4', '-I/usr/lib/gtkmm-2.4/include', '-I/usr/include/atkmm-1.6', '-I/usr/lib/atkmm-1.6/include', '-I/usr/include/giomm-2.4', '-I/usr/lib/giomm-2.4/include', '-I/usr/include/pangomm-1.4', '-I/usr/lib/pangomm-1.4/include', '-I/usr/include/cairomm-1.0', '-I/usr/lib/cairomm-1.0/include', '-I/usr/include/gtk-unix-print-2.0', '-I/usr/include/gdkmm-2.4', '-I/usr/lib/gdkmm-2.4/include', '-I/usr/include/taglib', '-I/usr/include/libxml2', '-I/usr/include/lilv-0', '-I/usr/include/serd-0', '-I/usr/include/sord-0', '-I/usr/include/sratom-0', '-I/usr/include/raptor2', '-I/usr/include/suil-0', '-I/home/alexmitchell/Documents/github/ardour/build', '-DINTERNAL_SHARED_LIBS=1', '-DHAVE_ALSA=1', '-DHAVE_PULSEAUDIO=1', '-DHAVE_GLIB=1', '-DHAVE_GTHREAD=1', '-DHAVE_GLIBMM=1', '-DHAVE_SNDFILE=1', '-DHAVE_GIOMM=1', '-DHAVE_CURL=1', '-DHAVE_ARCHIVE=1', '-DHAVE_LO=1', '-DHAVE_TAGLIB=1', '-DHAVE_VAMPSDK=1', '-DHAVE_VAMPHOSTSDK=1', '-DHAVE_RUBBERBAND=1', '-DEXPORT_VISIBILITY_HIDDEN=0', '-DPHONE_HOME=1', '-DENABLE_NLS=1', '-DLXVST_SUPPORT=1', '-DVST3_SUPPORT=1', '-DHAVE_JACK=1', '-DCONFIG_ARCH="x86_64"', '-DHAVE_TOOLS_SANITY_CHECK=1', '-DHAVE_TOOLS_GCCABICHECK=1', '-DHAVE_LIBS_CLEARLOOKS_NEWER=1', '-DHAVE_LIBS_FLUIDSYNTH=1', '-DHAVE_UDEV=1', '-DHAVE_HIDAPI=1', '-DHAVE_LIBS_HIDAPI=1', '-DHAVE_LIBS_LIBLTC=1', '-DHAVE_LIBS_LUA=1', '-DHAVE_LIBS_PTFORMAT=1', '-DHAVE_LIBS_QM_DSP=1', '-DHAVE_FFTW3F=1', '-DHAVE_AUBIO=1', '-DHAVE_AUBIO4=1', '-DHAVE_LIBS_VAMP_PLUGINS=1', '-DHAVE_LIBS_VAMP_PYIN=1', '-DHAVE_LIBS_ZITA_RESAMPLER=1', '-DHAVE_LIBS_ZITA_CONVOLVER=1', '-DHAVE_XML=1', '-DHAVE_SIGCPP=1', '-DHAVE_EXECINFO=1', '-DHAVE_POSIX_MEMALIGN=1', '-DHAVE_GETMNTENT=1', '-DHAVE_LOCALTIME_R=1', '-DHAVE_LIBS_PBD=1', '-DHAVE_CPPUNIT=1', '-DHAVE_LIBS_MIDIPP2=1', '-DHAVE_LIBS_EVORAL=1', '-DHAVE_USB=1', '-DHAVE_WEBSOCKETS=1', '-DHAVE_CONTROL_PROTOCOL=1', '-DHAVE_FADERPORT=1', '-DHAVE_FADERPORT8=1', '-DHAVE_CC121=1', '-DHAVE_GENERIC_MIDI=1', '-DHAVE_MACKIE=1', '-DHAVE_US2400=1', '-DHAVE_LAUNCH_CONTROL_XL=1', '-DHAVE_PANGOMM=1', '-DHAVE_CAIROMM=1', '-DHAVE_PUSH2=1', '-DHAVE_CONTOURDESIGN=1', '-DHAVE_LIBS_SURFACES=1', '-DHAVE_2IN2OUT=1', '-DHAVE_1IN2OUT=1', '-DHAVE_VBAP=1', '-DHAVE_STEREOBALANCE=1', '-DHAVE_LIBS_PANNERS=1', '-DHAVE_DUMMY=1', '-DHAVE_JACK_METADATA=1', '-DHAVE_JACK_PORT_RENAME=1', '-DHAVE_LIBS_BACKENDS=1', '-DHAVE_LIBS_TEMPORAL=1', '-DHAVE_LRDF=1', '-DHAVE_SAMPLERATE=1', '-DHAVE_LV2=1', '-DHAVE_LV2_1_10_0=1', '-DHAVE_LV2_1_17_2=1', '-DHAVE_SERD=1', '-DHAVE_SORD=1', '-DHAVE_SRATOM=1', '-DHAVE_LILV=1', '-DHAVE_SUIL=1', '-DLV2_SUPPORT=1', '-DLV2_EXTENDED=1', '-DHAVE_SOUNDTOUCH=1', '-DHAVE_OGG=1', '-DHAVE_FLAC=1', '-DHAVE_FFTW35F=1', '-DUSE_RUBBERBAND=1', '-DCURRENT_SESSION_FILE_VERSION=6000', '-DHAVE_SYS_VFS_H=1', '-DHAVE_SYS_STATVFS_H=1', '-DHAVE_UNISTD=1', '-DHAVE_BOOST_SCOPED_PTR_HPP=1', '-DHAVE_BOOST_PTR_CONTAINER_PTR_LIST_HPP=1', '-DHAVE_LIBS_ARDOUR=1', '-DHAVE_GTKMM=1', '-DHAVE_GTK=1', '-DHAVE_LIBS_GTKMM2EXT=1', '-DHAVE_BOOST_FORMAT_HPP=1', '-DHAVE_LIBS_AUDIOGRAPHER=1', '-DHAVE_LIBS_CANVAS=1', '-DHAVE_LIBS_WIDGETS=1', '-DHAVE_LIBS_WAVEVIEW=1', '-DHAVE_LV2_1_0_0=1', '-DHAVE_LIBS_PLUGINS_REASONABLESYNTH_LV2=1', '-DHAVE_CAIRO=1', '-DHAVE_LIBS_PLUGINS_A_COMP_LV2=1', '-DHAVE_LIBS_PLUGINS_A_EXP_LV2=1', '-DHAVE_LIBS_PLUGINS_A_DELAY_LV2=1', '-DHAVE_LIBS_PLUGINS_A_EQ_LV2=1', '-DHAVE_LIBS_PLUGINS_A_REVERB_LV2=1', '-DHAVE_LIBS_PLUGINS_A_FLUIDSYNTH_LV2=1', '-DHAVE_X11=1', '-DHAVE_PANGOFT2=1', '-DHAVE_FONTCONFIG=1', '-DHAVE_BOOST_SHARED_PTR_HPP=1', '-DHAVE_BOOST_WEAK_PTR_HPP=1', '-DHAVE_GTK2_ARDOUR=1', '-DHAVE_SHARE_EXPORT=1', '-DHAVE_SHARE_MIDI_MAPS=1', '-DHAVE_SHARE_MCP=1', '-DHAVE_SHARE_OSC=1', '-DHAVE_SHARE_PATCHFILES=1', '-DHAVE_SHARE_PLUGIN_METADATA=1', '-DHAVE_SHARE_SCRIPTS=1', '-DHAVE_SHARE_WEB_SURFACES=1', '-DHAVE_HEADLESS=1', '-DHAVE_READLINE=1', '-DHAVE_LUASESSION=1', '-DHAVE_SESSION_UTILS=1', '-DHAVE_LIBS_FST=1', '-DHAVE_LIBS_VFORK=1', '-DHAVE_DBUS=1', '-DHAVE_LIBS_ARDOURALSAUTIL=1', '-DPACKAGE="gtk2_ardour6"', '-DDATA_DIR="/usr/local/share/ardour6"', '-DCONFIG_DIR="/usr/local/etc"', '-DLOCALEDIR="/usr/local/share/ardour6/locale"', '-DLXVST_SUPPORT', '-DPHONE_HOME', '../gtk2_ardour/note.cc', '-c', '-o/home/alexmitchell/Documents/github/ardour/build/gtk2_ardour/note.cc.1.o']
In file included from /usr/include/gtk-2.0/gtk/gtkobject.h:37,
                 from /usr/include/gtk-2.0/gtk/gtkwidget.h:36,
                 from /usr/include/gtk-2.0/gtk/gtkcontainer.h:35,
                 from /usr/include/gtk-2.0/gtk/gtkbin.h:35,
                 from /usr/include/gtk-2.0/gtk/gtkwindow.h:36,
                 from /usr/include/gtk-2.0/gtk/gtkdialog.h:35,
                 from /usr/include/gtk-2.0/gtk/gtkaboutdialog.h:32,
                 from /usr/include/gtk-2.0/gtk/gtk.h:33,
                 from /usr/include/gtkmm-2.4/gtkmm/targetentry.h:30,
                 from /usr/include/gtkmm-2.4/gtkmm/targetlist.h:29,
                 from /usr/include/gtkmm-2.4/gtkmm/widget.h:47,
                 from /usr/include/gtkmm-2.4/gtkmm/misc.h:31,
                 from /usr/include/gtkmm-2.4/gtkmm/image.h:31,
                 from /usr/include/gtkmm-2.4/gtkmm/stock.h:27,
                 from ../gtk2_ardour/lv2_plugin_ui.cc:26:
/usr/include/gtk-2.0/gtk/gtktypeutils.h:236:64: warning: ‘GTypeDebugFlags’ is deprecated [-Wdeprecated-declarations]
  236 | void            gtk_type_init   (GTypeDebugFlags    debug_flags);
      |                                                                ^
In file included from /usr/include/glib-2.0/gobject/gobject.h:24,
                 from /usr/include/glib-2.0/gobject/gbinding.h:29,
                 from /usr/include/glib-2.0/glib-object.h:22,
                 from /usr/include/glibmm-2.4/glibmm/class.h:24,
                 from /usr/include/glibmm-2.4/glibmm/objectbase.h:21,
                 from /usr/include/glibmm-2.4/glibmm/object.h:29,
                 from /usr/include/pangomm-1.4/pangomm/font.h:31,
                 from /usr/include/gdkmm-2.4/gdkmm/drawable.h:29,
                 from /usr/include/gdkmm-2.4/gdkmm/pixbuf.h:33,
                 from /usr/include/gtkmm-2.4/gtkmm/iconset.h:32,
                 from /usr/include/gtkmm-2.4/gtkmm/stock.h:24,
                 from ../gtk2_ardour/lv2_plugin_ui.cc:26:
/usr/include/glib-2.0/gobject/gtype.h:685:3: note: declared here
  685 | } GTypeDebugFlags GLIB_DEPRECATED_TYPE_IN_2_36;
      |   ^~~~~~~~~~~~~~~
In file included from /usr/include/gtk-2.0/gtk/gtktoolitem.h:31,
                 from /usr/include/gtk-2.0/gtk/gtktoolbutton.h:30,
                 from /usr/include/gtk-2.0/gtk/gtkmenutoolbutton.h:30,
                 from /usr/include/gtk-2.0/gtk/gtk.h:126,
                 from /usr/include/gtkmm-2.4/gtkmm/targetentry.h:30,
                 from /usr/include/gtkmm-2.4/gtkmm/targetlist.h:29,
                 from /usr/include/gtkmm-2.4/gtkmm/widget.h:47,
                 from /usr/include/gtkmm-2.4/gtkmm/misc.h:31,
                 from /usr/include/gtkmm-2.4/gtkmm/image.h:31,
                 from /usr/include/gtkmm-2.4/gtkmm/stock.h:27,
                 from ../gtk2_ardour/lv2_plugin_ui.cc:26:
/usr/include/gtk-2.0/gtk/gtktooltips.h:73:12: warning: ‘GTimeVal’ is deprecated: Use 'GDateTime' instead [-Wdeprecated-declarations]
   73 |   GTimeVal last_popdown;
      |            ^~~~~~~~~~~~
In file included from /usr/include/glib-2.0/glib/galloca.h:32,
                 from /usr/include/glib-2.0/glib.h:30,
                 from /usr/include/glibmm-2.4/glibmm/unicode.h:23,
                 from /usr/include/glibmm-2.4/glibmm/ustring.h:21,
                 from /usr/include/gtkmm-2.4/gtkmm/iconset.h:7,
                 from /usr/include/gtkmm-2.4/gtkmm/stock.h:24,
                 from ../gtk2_ardour/lv2_plugin_ui.cc:26:
/usr/include/glib-2.0/glib/gtypes.h:545:26: note: declared here
  545 | typedef struct _GTimeVal GTimeVal GLIB_DEPRECATED_TYPE_IN_2_62_FOR(GDateTime);
      |                          ^~~~~~~~
In file included from /usr/include/gtkmm-2.4/gtkmm/image.h:33,
                 from /usr/include/gtkmm-2.4/gtkmm/stock.h:27,
                 from ../gtk2_ardour/lv2_plugin_ui.cc:26:
/usr/include/gdkmm-2.4/gdkmm/pixbufanimation.h:124:72: warning: ‘GTimeVal’ is deprecated: Use 'GDateTime' instead [-Wdeprecated-declarations]
  124 |   Glib::RefPtr<PixbufAnimationIter> get_iter(const GTimeVal* start_time);
      |                                                                        ^
In file included from /usr/include/glib-2.0/glib/galloca.h:32,
                 from /usr/include/glib-2.0/glib.h:30,
                 from /usr/include/glibmm-2.4/glibmm/unicode.h:23,
                 from /usr/include/glibmm-2.4/glibmm/ustring.h:21,
                 from /usr/include/gtkmm-2.4/gtkmm/iconset.h:7,
                 from /usr/include/gtkmm-2.4/gtkmm/stock.h:24,
                 from ../gtk2_ardour/lv2_plugin_ui.cc:26:
/usr/include/glib-2.0/glib/gtypes.h:545:26: note: declared here
  545 | typedef struct _GTimeVal GTimeVal GLIB_DEPRECATED_TYPE_IN_2_62_FOR(GDateTime);
      |                          ^~~~~~~~
In file included from /usr/include/boost/smart_ptr/detail/sp_thread_sleep.hpp:22,
                 from /usr/include/boost/smart_ptr/detail/yield_k.hpp:23,
                 from /usr/include/boost/smart_ptr/detail/spinlock_gcc_atomic.hpp:14,
                 from /usr/include/boost/smart_ptr/detail/spinlock.hpp:42,
                 from /usr/include/boost/smart_ptr/detail/spinlock_pool.hpp:25,
                 from /usr/include/boost/smart_ptr/shared_ptr.hpp:29,
                 from /usr/include/boost/smart_ptr/weak_ptr.hpp:17,
                 from /usr/include/boost/smart_ptr/enable_shared_from_this.hpp:16,
                 from /usr/include/boost/enable_shared_from_this.hpp:16,
                 from ../libs/ardour/ardour/lv2_plugin.h:31,
                 from ../gtk2_ardour/lv2_plugin_ui.cc:28:
/usr/include/boost/bind.hpp:36:1: note: ‘#pragma message: The practice of declaring the Bind placeholders (_1, _2, ...) in the global namespace is deprecated. Please use <boost/bind/bind.hpp> + using namespace boost::placeholders, or define BOOST_BIND_GLOBAL_PLACEHOLDERS to retain the current behavior.’
   36 | BOOST_PRAGMA_MESSAGE(
      | ^~~~~~~~~~~~~~~~~~~~
In file included from ../gtk2_ardour/lv2_plugin_ui.cc:34:
../gtk2_ardour/lv2_plugin_ui.h:89:2: error: ‘LV2UI_Request_Value’ does not name a type
   89 |  LV2UI_Request_Value                  _lv2ui_request_value;
      |  ^~~~~~~~~~~~~~~~~~~
../gtk2_ardour/lv2_plugin_ui.h:119:9: error: ‘LV2UI_Request_Value_Status’ does not name a type
  119 |  static LV2UI_Request_Value_Status
      |         ^~~~~~~~~~~~~~~~~~~~~~~~~~
../gtk2_ardour/lv2_plugin_ui.cc:143:1: error: ‘LV2UI_Request_Value_Status’ does not name a type
  143 | LV2UI_Request_Value_Status
      | ^~~~~~~~~~~~~~~~~~~~~~~~~~
../gtk2_ardour/lv2_plugin_ui.cc: In member function ‘void LV2PluginUI::lv2ui_instantiate(const string&)’:
../gtk2_ardour/lv2_plugin_ui.cc:339:2: error: ‘_lv2ui_request_value’ was not declared in this scope; did you mean ‘_lv2ui_request_feature’?
  339 |  _lv2ui_request_value.handle  = this;
      |  ^~~~~~~~~~~~~~~~~~~~
      |  _lv2ui_request_feature
../gtk2_ardour/lv2_plugin_ui.cc:340:46: error: ‘request_value’ is not a member of ‘LV2PluginUI’
  340 |  _lv2ui_request_value.request = LV2PluginUI::request_value;
      |                                              ^~~~~~~~~~~~~
../gtk2_ardour/lv2_plugin_ui.cc:341:33: error: ‘LV2_UI__requestValue’ was not declared in this scope
  341 |  _lv2ui_request_feature.URI   = LV2_UI__requestValue;
      |                                 ^~~~~~~~~~~~~~~~~~~~
In file included from /usr/include/glib-2.0/glib/gthread.h:32,
                 from /usr/include/glib-2.0/glib/gasyncqueue.h:32,
                 from /usr/include/glib-2.0/glib.h:32,
                 from /usr/include/glibmm-2.4/glibmm/unicode.h:23,
                 from /usr/include/glibmm-2.4/glibmm/ustring.h:21,
                 from /usr/include/gtkmm-2.4/gtkmm/iconset.h:7,
                 from /usr/include/gtkmm-2.4/gtkmm/stock.h:24,
                 from ../gtk2_ardour/lv2_plugin_ui.cc:26:
../libs/pbd/pbd/rcu.h: In instantiation of ‘boost::shared_ptr<X> RCUManager<T>::reader() const [with T = std::__cxx11::list<boost::shared_ptr<ARDOUR::Route> >]’:
../libs/ardour/ardour/session.h:313:25:   required from here
/usr/include/glib-2.0/glib/gatomic.h:128:34: warning: cast from type ‘void* volatile*’ to type ‘void**’ casts away qualifiers [-Wcast-qual]
  128 |     gpointer *gapg_temp_atomic = (gpointer *)(atomic);                       \
      |                                  ^~~~~~~~~~~~~~~~~~~~
../libs/pbd/pbd/rcu.h:78:33: note: in expansion of macro ‘g_atomic_pointer_get’
   78 |   rv = *((boost::shared_ptr<T>*)g_atomic_pointer_get (&x.gptr));
      |                                 ^~~~~~~~~~~~~~~~~~~~
../libs/pbd/pbd/rcu.h: In instantiation of ‘boost::shared_ptr<X> RCUManager<T>::reader() const [with T = std::vector<boost::shared_ptr<ARDOUR::Bundle> >]’:
../libs/ardour/ardour/session.h:346:27:   required from here
/usr/include/glib-2.0/glib/gatomic.h:128:34: warning: cast from type ‘void* volatile*’ to type ‘void**’ casts away qualifiers [-Wcast-qual]
  128 |     gpointer *gapg_temp_atomic = (gpointer *)(atomic);                       \
      |                                  ^~~~~~~~~~~~~~~~~~~~
../libs/pbd/pbd/rcu.h:78:33: note: in expansion of macro ‘g_atomic_pointer_get’
   78 |   rv = *((boost::shared_ptr<T>*)g_atomic_pointer_get (&x.gptr));
      |                                 ^~~~~~~~~~~~~~~~~~~~

In file included from /usr/include/gtk-2.0/gtk/gtkobject.h:37,
                 from /usr/include/gtk-2.0/gtk/gtkwidget.h:36,
                 from /usr/include/gtk-2.0/gtk/gtkcontainer.h:35,
                 from /usr/include/gtk-2.0/gtk/gtkbin.h:35,
                 from /usr/include/gtk-2.0/gtk/gtkwindow.h:36,
                 from /usr/include/gtk-2.0/gtk/gtkdialog.h:35,
                 from /usr/include/gtk-2.0/gtk/gtkaboutdialog.h:32,
                 from /usr/include/gtk-2.0/gtk/gtk.h:33,
                 from /usr/include/gtkmm-2.4/gtkmm/targetentry.h:30,
                 from /usr/include/gtkmm-2.4/gtkmm/targetlist.h:29,
                 from /usr/include/gtkmm-2.4/gtkmm/widget.h:47,
                 from /usr/include/gtkmm-2.4/gtkmm/misc.h:31,
                 from /usr/include/gtkmm-2.4/gtkmm/image.h:31,
                 from /usr/include/gtkmm-2.4/gtkmm/stock.h:27,
                 from ../gtk2_ardour/add_route_dialog.cc:30:
/usr/include/gtk-2.0/gtk/gtktypeutils.h:236:64: warning: ‘GTypeDebugFlags’ is deprecated [-Wdeprecated-declarations]
  236 | void            gtk_type_init   (GTypeDebugFlags    debug_flags);
      |                                                                ^
In file included from /usr/include/glib-2.0/gobject/gobject.h:24,
                 from /usr/include/glib-2.0/gobject/gbinding.h:29,
                 from /usr/include/glib-2.0/glib-object.h:22,
                 from /usr/include/glibmm-2.4/glibmm/class.h:24,
                 from /usr/include/glibmm-2.4/glibmm/objectbase.h:21,
                 from /usr/include/glibmm-2.4/glibmm/object.h:29,
                 from /usr/include/pangomm-1.4/pangomm/font.h:31,
                 from /usr/include/gdkmm-2.4/gdkmm/drawable.h:29,
                 from /usr/include/gdkmm-2.4/gdkmm/pixbuf.h:33,
                 from /usr/include/gtkmm-2.4/gtkmm/iconset.h:32,
                 from /usr/include/gtkmm-2.4/gtkmm/stock.h:24,
                 from ../gtk2_ardour/add_route_dialog.cc:30:
/usr/include/glib-2.0/gobject/gtype.h:685:3: note: declared here
  685 | } GTypeDebugFlags GLIB_DEPRECATED_TYPE_IN_2_36;
      |   ^~~~~~~~~~~~~~~
In file included from /usr/include/gtk-2.0/gtk/gtktoolitem.h:31,
                 from /usr/include/gtk-2.0/gtk/gtktoolbutton.h:30,
                 from /usr/include/gtk-2.0/gtk/gtkmenutoolbutton.h:30,
                 from /usr/include/gtk-2.0/gtk/gtk.h:126,
                 from /usr/include/gtkmm-2.4/gtkmm/targetentry.h:30,
                 from /usr/include/gtkmm-2.4/gtkmm/targetlist.h:29,
                 from /usr/include/gtkmm-2.4/gtkmm/widget.h:47,
                 from /usr/include/gtkmm-2.4/gtkmm/misc.h:31,
                 from /usr/include/gtkmm-2.4/gtkmm/image.h:31,
                 from /usr/include/gtkmm-2.4/gtkmm/stock.h:27,
                 from ../gtk2_ardour/add_route_dialog.cc:30:
/usr/include/gtk-2.0/gtk/gtktooltips.h:73:12: warning: ‘GTimeVal’ is deprecated: Use 'GDateTime' instead [-Wdeprecated-declarations]
   73 |   GTimeVal last_popdown;
      |            ^~~~~~~~~~~~
In file included from /usr/include/glib-2.0/glib/galloca.h:32,
                 from /usr/include/glib-2.0/glib.h:30,
                 from /usr/include/glibmm-2.4/glibmm/unicode.h:23,
                 from /usr/include/glibmm-2.4/glibmm/ustring.h:21,
                 from /usr/include/gtkmm-2.4/gtkmm/iconset.h:7,
                 from /usr/include/gtkmm-2.4/gtkmm/stock.h:24,
                 from ../gtk2_ardour/add_route_dialog.cc:30:
/usr/include/glib-2.0/glib/gtypes.h:545:26: note: declared here
  545 | typedef struct _GTimeVal GTimeVal GLIB_DEPRECATED_TYPE_IN_2_62_FOR(GDateTime);
      |                          ^~~~~~~~
In file included from /usr/include/gtkmm-2.4/gtkmm/image.h:33,
                 from /usr/include/gtkmm-2.4/gtkmm/stock.h:27,
                 from ../gtk2_ardour/add_route_dialog.cc:30:
/usr/include/gdkmm-2.4/gdkmm/pixbufanimation.h:124:72: warning: ‘GTimeVal’ is deprecated: Use 'GDateTime' instead [-Wdeprecated-declarations]
  124 |   Glib::RefPtr<PixbufAnimationIter> get_iter(const GTimeVal* start_time);
      |                                                                        ^
In file included from /usr/include/glib-2.0/glib/galloca.h:32,
                 from /usr/include/glib-2.0/glib.h:30,
                 from /usr/include/glibmm-2.4/glibmm/unicode.h:23,
                 from /usr/include/glibmm-2.4/glibmm/ustring.h:21,
                 from /usr/include/gtkmm-2.4/gtkmm/iconset.h:7,
                 from /usr/include/gtkmm-2.4/gtkmm/stock.h:24,
                 from ../gtk2_ardour/add_route_dialog.cc:30:
/usr/include/glib-2.0/glib/gtypes.h:545:26: note: declared here
  545 | typedef struct _GTimeVal GTimeVal GLIB_DEPRECATED_TYPE_IN_2_62_FOR(GDateTime);
      |                          ^~~~~~~~
In file included from /usr/include/boost/bind.hpp:30,
                 from ../libs/pbd/pbd/signals.h:37,
                 from ../libs/pbd/pbd/transmitter.h:25,
                 from ../libs/pbd/pbd/error.h:22,
                 from ../gtk2_ardour/add_route_dialog.cc:35:
/usr/include/boost/bind.hpp:36:1: note: ‘#pragma message: The practice of declaring the Bind placeholders (_1, _2, ...) in the global namespace is deprecated. Please use <boost/bind/bind.hpp> + using namespace boost::placeholders, or define BOOST_BIND_GLOBAL_PLACEHOLDERS to retain the current behavior.’
   36 | BOOST_PRAGMA_MESSAGE(
      | ^~~~~~~~~~~~~~~~~~~~
In file included from /usr/include/glib-2.0/glib/gthread.h:32,
                 from /usr/include/glib-2.0/glib/gasyncqueue.h:32,
                 from /usr/include/glib-2.0/glib.h:32,
                 from /usr/include/glibmm-2.4/glibmm/unicode.h:23,
                 from /usr/include/glibmm-2.4/glibmm/ustring.h:21,
                 from /usr/include/gtkmm-2.4/gtkmm/iconset.h:7,
                 from /usr/include/gtkmm-2.4/gtkmm/stock.h:24,
                 from ../gtk2_ardour/add_route_dialog.cc:30:
../libs/pbd/pbd/rcu.h: In instantiation of ‘boost::shared_ptr<X> RCUManager<T>::reader() const [with T = std::__cxx11::list<boost::shared_ptr<ARDOUR::Route> >]’:
../libs/ardour/ardour/session.h:313:25:   required from here
/usr/include/glib-2.0/glib/gatomic.h:128:34: warning: cast from type ‘void* volatile*’ to type ‘void**’ casts away qualifiers [-Wcast-qual]
  128 |     gpointer *gapg_temp_atomic = (gpointer *)(atomic);                       \
      |                                  ^~~~~~~~~~~~~~~~~~~~
../libs/pbd/pbd/rcu.h:78:33: note: in expansion of macro ‘g_atomic_pointer_get’
   78 |   rv = *((boost::shared_ptr<T>*)g_atomic_pointer_get (&x.gptr));
      |                                 ^~~~~~~~~~~~~~~~~~~~
../libs/pbd/pbd/rcu.h: In instantiation of ‘boost::shared_ptr<X> RCUManager<T>::reader() const [with T = std::vector<boost::shared_ptr<ARDOUR::Bundle> >]’:
../libs/ardour/ardour/session.h:346:27:   required from here
/usr/include/glib-2.0/glib/gatomic.h:128:34: warning: cast from type ‘void* volatile*’ to type ‘void**’ casts away qualifiers [-Wcast-qual]
  128 |     gpointer *gapg_temp_atomic = (gpointer *)(atomic);                       \
      |                                  ^~~~~~~~~~~~~~~~~~~~
../libs/pbd/pbd/rcu.h:78:33: note: in expansion of macro ‘g_atomic_pointer_get’
   78 |   rv = *((boost::shared_ptr<T>*)g_atomic_pointer_get (&x.gptr));
      |                                 ^~~~~~~~~~~~~~~~~~~~

In file included from /usr/include/gtk-2.0/gtk/gtkobject.h:37,
                 from /usr/include/gtk-2.0/gtk/gtkwidget.h:36,
                 from /usr/include/gtk-2.0/gtk/gtkcontainer.h:35,
                 from /usr/include/gtk-2.0/gtk/gtkbin.h:35,
                 from /usr/include/gtk-2.0/gtk/gtkwindow.h:36,
                 from /usr/include/gtk-2.0/gtk/gtkdialog.h:35,
                 from /usr/include/gtk-2.0/gtk/gtkaboutdialog.h:32,
                 from /usr/include/gtk-2.0/gtk/gtk.h:33,
                 from /usr/include/gtkmm-2.4/gtkmm/targetentry.h:30,
                 from /usr/include/gtkmm-2.4/gtkmm/targetlist.h:29,
                 from /usr/include/gtkmm-2.4/gtkmm/widget.h:47,
                 from /usr/include/gtkmm-2.4/gtkmm/misc.h:31,
                 from /usr/include/gtkmm-2.4/gtkmm/image.h:31,
                 from /usr/include/gtkmm-2.4/gtkmm/stock.h:27,
                 from ../gtk2_ardour/rhythm_ferret.cc:23:
/usr/include/gtk-2.0/gtk/gtktypeutils.h:236:64: warning: ‘GTypeDebugFlags’ is deprecated [-Wdeprecated-declarations]
  236 | void            gtk_type_init   (GTypeDebugFlags    debug_flags);
      |                                                                ^
In file included from /usr/include/glib-2.0/gobject/gobject.h:24,
                 from /usr/include/glib-2.0/gobject/gbinding.h:29,
                 from /usr/include/glib-2.0/glib-object.h:22,
                 from /usr/include/glibmm-2.4/glibmm/class.h:24,
                 from /usr/include/glibmm-2.4/glibmm/objectbase.h:21,
                 from /usr/include/glibmm-2.4/glibmm/object.h:29,
                 from /usr/include/pangomm-1.4/pangomm/font.h:31,
                 from /usr/include/gdkmm-2.4/gdkmm/drawable.h:29,
                 from /usr/include/gdkmm-2.4/gdkmm/pixbuf.h:33,
                 from /usr/include/gtkmm-2.4/gtkmm/iconset.h:32,
                 from /usr/include/gtkmm-2.4/gtkmm/stock.h:24,
                 from ../gtk2_ardour/rhythm_ferret.cc:23:
/usr/include/glib-2.0/gobject/gtype.h:685:3: note: declared here
  685 | } GTypeDebugFlags GLIB_DEPRECATED_TYPE_IN_2_36;
      |   ^~~~~~~~~~~~~~~
In file included from /usr/include/gtk-2.0/gtk/gtktoolitem.h:31,
                 from /usr/include/gtk-2.0/gtk/gtktoolbutton.h:30,
                 from /usr/include/gtk-2.0/gtk/gtkmenutoolbutton.h:30,
                 from /usr/include/gtk-2.0/gtk/gtk.h:126,
                 from /usr/include/gtkmm-2.4/gtkmm/targetentry.h:30,
                 from /usr/include/gtkmm-2.4/gtkmm/targetlist.h:29,
                 from /usr/include/gtkmm-2.4/gtkmm/widget.h:47,
                 from /usr/include/gtkmm-2.4/gtkmm/misc.h:31,
                 from /usr/include/gtkmm-2.4/gtkmm/image.h:31,
                 from /usr/include/gtkmm-2.4/gtkmm/stock.h:27,
                 from ../gtk2_ardour/rhythm_ferret.cc:23:
/usr/include/gtk-2.0/gtk/gtktooltips.h:73:12: warning: ‘GTimeVal’ is deprecated: Use 'GDateTime' instead [-Wdeprecated-declarations]
   73 |   GTimeVal last_popdown;
      |            ^~~~~~~~~~~~
In file included from /usr/include/glib-2.0/glib/galloca.h:32,
                 from /usr/include/glib-2.0/glib.h:30,
                 from /usr/include/glibmm-2.4/glibmm/unicode.h:23,
                 from /usr/include/glibmm-2.4/glibmm/ustring.h:21,
                 from /usr/include/gtkmm-2.4/gtkmm/iconset.h:7,
                 from /usr/include/gtkmm-2.4/gtkmm/stock.h:24,
                 from ../gtk2_ardour/rhythm_ferret.cc:23:
/usr/include/glib-2.0/glib/gtypes.h:545:26: note: declared here
  545 | typedef struct _GTimeVal GTimeVal GLIB_DEPRECATED_TYPE_IN_2_62_FOR(GDateTime);
      |                          ^~~~~~~~
In file included from /usr/include/gtkmm-2.4/gtkmm/image.h:33,
                 from /usr/include/gtkmm-2.4/gtkmm/stock.h:27,
                 from ../gtk2_ardour/rhythm_ferret.cc:23:
/usr/include/gdkmm-2.4/gdkmm/pixbufanimation.h:124:72: warning: ‘GTimeVal’ is deprecated: Use 'GDateTime' instead [-Wdeprecated-declarations]
  124 |   Glib::RefPtr<PixbufAnimationIter> get_iter(const GTimeVal* start_time);
      |                                                                        ^
In file included from /usr/include/glib-2.0/glib/galloca.h:32,
                 from /usr/include/glib-2.0/glib.h:30,
                 from /usr/include/glibmm-2.4/glibmm/unicode.h:23,
                 from /usr/include/glibmm-2.4/glibmm/ustring.h:21,
                 from /usr/include/gtkmm-2.4/gtkmm/iconset.h:7,
                 from /usr/include/gtkmm-2.4/gtkmm/stock.h:24,
                 from ../gtk2_ardour/rhythm_ferret.cc:23:
/usr/include/glib-2.0/glib/gtypes.h:545:26: note: declared here
  545 | typedef struct _GTimeVal GTimeVal GLIB_DEPRECATED_TYPE_IN_2_62_FOR(GDateTime);
      |                          ^~~~~~~~
In file included from /usr/include/boost/bind.hpp:30,
                 from ../libs/pbd/pbd/signals.h:37,
                 from ../libs/pbd/pbd/command.h:29,
                 from ../libs/pbd/pbd/memento_command.h:29,
                 from ../gtk2_ardour/rhythm_ferret.cc:26:
/usr/include/boost/bind.hpp:36:1: note: ‘#pragma message: The practice of declaring the Bind placeholders (_1, _2, ...) in the global namespace is deprecated. Please use <boost/bind/bind.hpp> + using namespace boost::placeholders, or define BOOST_BIND_GLOBAL_PLACEHOLDERS to retain the current behavior.’
   36 | BOOST_PRAGMA_MESSAGE(
      | ^~~~~~~~~~~~~~~~~~~~
In file included from /usr/include/glib-2.0/glib/gthread.h:32,
                 from /usr/include/glib-2.0/glib/gasyncqueue.h:32,
                 from /usr/include/glib-2.0/glib.h:32,
                 from /usr/include/glibmm-2.4/glibmm/unicode.h:23,
                 from /usr/include/glibmm-2.4/glibmm/ustring.h:21,
                 from /usr/include/gtkmm-2.4/gtkmm/iconset.h:7,
                 from /usr/include/gtkmm-2.4/gtkmm/stock.h:24,
                 from ../gtk2_ardour/rhythm_ferret.cc:23:
../libs/pbd/pbd/rcu.h: In instantiation of ‘boost::shared_ptr<X> RCUManager<T>::reader() const [with T = std::__cxx11::list<boost::shared_ptr<ARDOUR::Route> >]’:
../libs/ardour/ardour/session.h:313:25:   required from here
/usr/include/glib-2.0/glib/gatomic.h:128:34: warning: cast from type ‘void* volatile*’ to type ‘void**’ casts away qualifiers [-Wcast-qual]
  128 |     gpointer *gapg_temp_atomic = (gpointer *)(atomic);                       \
      |                                  ^~~~~~~~~~~~~~~~~~~~
../libs/pbd/pbd/rcu.h:78:33: note: in expansion of macro ‘g_atomic_pointer_get’
   78 |   rv = *((boost::shared_ptr<T>*)g_atomic_pointer_get (&x.gptr));
      |                                 ^~~~~~~~~~~~~~~~~~~~
../libs/pbd/pbd/rcu.h: In instantiation of ‘boost::shared_ptr<X> RCUManager<T>::reader() const [with T = std::vector<boost::shared_ptr<ARDOUR::Bundle> >]’:
../libs/ardour/ardour/session.h:346:27:   required from here
/usr/include/glib-2.0/glib/gatomic.h:128:34: warning: cast from type ‘void* volatile*’ to type ‘void**’ casts away qualifiers [-Wcast-qual]
  128 |     gpointer *gapg_temp_atomic = (gpointer *)(atomic);                       \
      |                                  ^~~~~~~~~~~~~~~~~~~~
../libs/pbd/pbd/rcu.h:78:33: note: in expansion of macro ‘g_atomic_pointer_get’
   78 |   rv = *((boost::shared_ptr<T>*)g_atomic_pointer_get (&x.gptr));
      |                                 ^~~~~~~~~~~~~~~~~~~~

In file included from /usr/include/gtk-2.0/gtk/gtkobject.h:37,
                 from /usr/include/gtk-2.0/gtk/gtkwidget.h:36,
                 from /usr/include/gtk-2.0/gtk/gtkcontainer.h:35,
                 from /usr/include/gtk-2.0/gtk/gtkbin.h:35,
                 from /usr/include/gtk-2.0/gtk/gtkwindow.h:36,
                 from /usr/include/gtk-2.0/gtk/gtkdialog.h:35,
                 from /usr/include/gtk-2.0/gtk/gtkaboutdialog.h:32,
                 from /usr/include/gtk-2.0/gtk/gtk.h:33,
                 from /usr/include/gtkmm-2.4/gtkmm/targetentry.h:30,
                 from /usr/include/gtkmm-2.4/gtkmm/targetlist.h:29,
                 from /usr/include/gtkmm-2.4/gtkmm/widget.h:47,
                 from /usr/include/gtkmm-2.4/gtkmm/container.h:30,
                 from /usr/include/gtkmm-2.4/gtkmm/bin.h:31,
                 from /usr/include/gtkmm-2.4/gtkmm/frame.h:32,
                 from ../gtk2_ardour/export_format_dialog.cc:24:
/usr/include/gtk-2.0/gtk/gtktypeutils.h:236:64: warning: ‘GTypeDebugFlags’ is deprecated [-Wdeprecated-declarations]
  236 | void            gtk_type_init   (GTypeDebugFlags    debug_flags);
      |                                                                ^
In file included from /usr/include/glib-2.0/gobject/gobject.h:24,
                 from /usr/include/glib-2.0/gobject/gbinding.h:29,
                 from /usr/include/glib-2.0/glib-object.h:22,
                 from /usr/include/glibmm-2.4/glibmm/varianttype.h:24,
                 from /usr/include/glibmm-2.4/glibmm/variant.h:24,
                 from /usr/include/glibmm-2.4/glibmm/containerhandle_shared.h:23,
                 from /usr/include/glibmm-2.4/glibmm/listhandle.h:21,
                 from /usr/include/gtkmm-2.4/gtkmm/container.h:29,
                 from /usr/include/gtkmm-2.4/gtkmm/bin.h:31,
                 from /usr/include/gtkmm-2.4/gtkmm/frame.h:32,
                 from ../gtk2_ardour/export_format_dialog.cc:24:
/usr/include/glib-2.0/gobject/gtype.h:685:3: note: declared here
  685 | } GTypeDebugFlags GLIB_DEPRECATED_TYPE_IN_2_36;
      |   ^~~~~~~~~~~~~~~
In file included from /usr/include/gtk-2.0/gtk/gtktoolitem.h:31,
                 from /usr/include/gtk-2.0/gtk/gtktoolbutton.h:30,
                 from /usr/include/gtk-2.0/gtk/gtkmenutoolbutton.h:30,
                 from /usr/include/gtk-2.0/gtk/gtk.h:126,
                 from /usr/include/gtkmm-2.4/gtkmm/targetentry.h:30,
                 from /usr/include/gtkmm-2.4/gtkmm/targetlist.h:29,
                 from /usr/include/gtkmm-2.4/gtkmm/widget.h:47,
                 from /usr/include/gtkmm-2.4/gtkmm/container.h:30,
                 from /usr/include/gtkmm-2.4/gtkmm/bin.h:31,
                 from /usr/include/gtkmm-2.4/gtkmm/frame.h:32,
                 from ../gtk2_ardour/export_format_dialog.cc:24:
/usr/include/gtk-2.0/gtk/gtktooltips.h:73:12: warning: ‘GTimeVal’ is deprecated: Use 'GDateTime' instead [-Wdeprecated-declarations]
   73 |   GTimeVal last_popdown;
      |            ^~~~~~~~~~~~
In file included from /usr/include/glib-2.0/glib/galloca.h:32,
                 from /usr/include/glib-2.0/glib.h:30,
                 from /usr/include/glibmm-2.4/glibmm/unicode.h:23,
                 from /usr/include/glibmm-2.4/glibmm/ustring.h:21,
                 from /usr/include/gtkmm-2.4/gtkmm/frame.h:7,
                 from ../gtk2_ardour/export_format_dialog.cc:24:
/usr/include/glib-2.0/glib/gtypes.h:545:26: note: declared here
  545 | typedef struct _GTimeVal GTimeVal GLIB_DEPRECATED_TYPE_IN_2_62_FOR(GDateTime);
      |                          ^~~~~~~~
In file included from /usr/include/gtkmm-2.4/gtkmm/image.h:33,
                 from /usr/include/gtkmm-2.4/gtkmm/stock.h:27,
                 from ../gtk2_ardour/export_format_dialog.cc:25:
/usr/include/gdkmm-2.4/gdkmm/pixbufanimation.h:124:72: warning: ‘GTimeVal’ is deprecated: Use 'GDateTime' instead [-Wdeprecated-declarations]
  124 |   Glib::RefPtr<PixbufAnimationIter> get_iter(const GTimeVal* start_time);
      |                                                                        ^
In file included from /usr/include/glib-2.0/glib/galloca.h:32,
                 from /usr/include/glib-2.0/glib.h:30,
                 from /usr/include/glibmm-2.4/glibmm/unicode.h:23,
                 from /usr/include/glibmm-2.4/glibmm/ustring.h:21,
                 from /usr/include/gtkmm-2.4/gtkmm/frame.h:7,
                 from ../gtk2_ardour/export_format_dialog.cc:24:
/usr/include/glib-2.0/glib/gtypes.h:545:26: note: declared here
  545 | typedef struct _GTimeVal GTimeVal GLIB_DEPRECATED_TYPE_IN_2_62_FOR(GDateTime);
      |                          ^~~~~~~~
In file included from /usr/include/boost/smart_ptr/detail/sp_thread_sleep.hpp:22,
                 from /usr/include/boost/smart_ptr/detail/yield_k.hpp:23,
                 from /usr/include/boost/smart_ptr/detail/spinlock_gcc_atomic.hpp:14,
                 from /usr/include/boost/smart_ptr/detail/spinlock.hpp:42,
                 from /usr/include/boost/smart_ptr/detail/spinlock_pool.hpp:25,
                 from /usr/include/boost/smart_ptr/shared_ptr.hpp:29,
                 from /usr/include/boost/shared_ptr.hpp:17,
                 from ../libs/ardour/ardour/types.h:38,
                 from ../libs/ardour/ardour/export_format_specification.h:32,
                 from ../gtk2_ardour/export_format_dialog.cc:27:
/usr/include/boost/bind.hpp:36:1: note: ‘#pragma message: The practice of declaring the Bind placeholders (_1, _2, ...) in the global namespace is deprecated. Please use <boost/bind/bind.hpp> + using namespace boost::placeholders, or define BOOST_BIND_GLOBAL_PLACEHOLDERS to retain the current behavior.’
   36 | BOOST_PRAGMA_MESSAGE(
      | ^~~~~~~~~~~~~~~~~~~~
In file included from /usr/include/glib-2.0/glib/gthread.h:32,
                 from /usr/include/glib-2.0/glib/gasyncqueue.h:32,
                 from /usr/include/glib-2.0/glib.h:32,
                 from /usr/include/glibmm-2.4/glibmm/unicode.h:23,
                 from /usr/include/glibmm-2.4/glibmm/ustring.h:21,
                 from /usr/include/gtkmm-2.4/gtkmm/frame.h:7,
                 from ../gtk2_ardour/export_format_dialog.cc:24:
../libs/pbd/pbd/rcu.h: In instantiation of ‘boost::shared_ptr<X> RCUManager<T>::reader() const [with T = std::__cxx11::list<boost::shared_ptr<ARDOUR::Route> >]’:
../libs/ardour/ardour/session.h:313:25:   required from here
/usr/include/glib-2.0/glib/gatomic.h:128:34: warning: cast from type ‘void* volatile*’ to type ‘void**’ casts away qualifiers [-Wcast-qual]
  128 |     gpointer *gapg_temp_atomic = (gpointer *)(atomic);                       \
      |                                  ^~~~~~~~~~~~~~~~~~~~
../libs/pbd/pbd/rcu.h:78:33: note: in expansion of macro ‘g_atomic_pointer_get’
   78 |   rv = *((boost::shared_ptr<T>*)g_atomic_pointer_get (&x.gptr));
      |                                 ^~~~~~~~~~~~~~~~~~~~
../libs/pbd/pbd/rcu.h: In instantiation of ‘boost::shared_ptr<X> RCUManager<T>::reader() const [with T = std::vector<boost::shared_ptr<ARDOUR::Bundle> >]’:
../libs/ardour/ardour/session.h:346:27:   required from here
/usr/include/glib-2.0/glib/gatomic.h:128:34: warning: cast from type ‘void* volatile*’ to type ‘void**’ casts away qualifiers [-Wcast-qual]
  128 |     gpointer *gapg_temp_atomic = (gpointer *)(atomic);                       \
      |                                  ^~~~~~~~~~~~~~~~~~~~
../libs/pbd/pbd/rcu.h:78:33: note: in expansion of macro ‘g_atomic_pointer_get’
   78 |   rv = *((boost::shared_ptr<T>*)g_atomic_pointer_get (&x.gptr));
      |                                 ^~~~~~~~~~~~~~~~~~~~

In file included from /usr/include/boost/bind.hpp:30,
                 from ../libs/pbd/pbd/signals.h:37,
                 from ../libs/canvas/canvas/item.h:30,
                 from ../libs/canvas/canvas/rectangle.h:24,
                 from ../libs/canvas/canvas/note.h:23,
                 from ../gtk2_ardour/note.cc:22:
/usr/include/boost/bind.hpp:36:1: note: ‘#pragma message: The practice of declaring the Bind placeholders (_1, _2, ...) in the global namespace is deprecated. Please use <boost/bind/bind.hpp> + using namespace boost::placeholders, or define BOOST_BIND_GLOBAL_PLACEHOLDERS to retain the current behavior.’
   36 | BOOST_PRAGMA_MESSAGE(
      | ^~~~~~~~~~~~~~~~~~~~
In file included from /usr/include/gtk-2.0/gtk/gtkobject.h:37,
                 from /usr/include/gtk-2.0/gtk/gtkwidget.h:36,
                 from /usr/include/gtk-2.0/gtk/gtkcontainer.h:35,
                 from /usr/include/gtk-2.0/gtk/gtkbin.h:35,
                 from /usr/include/gtk-2.0/gtk/gtkwindow.h:36,
                 from /usr/include/gtk-2.0/gtk/gtkdialog.h:35,
                 from /usr/include/gtk-2.0/gtk/gtkaboutdialog.h:32,
                 from /usr/include/gtk-2.0/gtk/gtk.h:33,
                 from /usr/include/gtkmm-2.4/gtkmm/targetentry.h:30,
                 from /usr/include/gtkmm-2.4/gtkmm/targetlist.h:29,
                 from /usr/include/gtkmm-2.4/gtkmm/widget.h:47,
                 from /usr/include/gtkmm-2.4/gtkmm/container.h:30,
                 from /usr/include/gtkmm-2.4/gtkmm/menushell.h:32,
                 from ../gtk2_ardour/utils.h:40,
                 from ../gtk2_ardour/ui_config.h:44,
                 from ../gtk2_ardour/note_base.h:31,
                 from ../gtk2_ardour/note.h:23,
                 from ../gtk2_ardour/note.cc:25:
/usr/include/gtk-2.0/gtk/gtktypeutils.h:236:64: warning: ‘GTypeDebugFlags’ is deprecated [-Wdeprecated-declarations]
  236 | void            gtk_type_init   (GTypeDebugFlags    debug_flags);
      |                                                                ^
In file included from /usr/include/glib-2.0/gobject/gobject.h:24,
                 from /usr/include/glib-2.0/gobject/gbinding.h:29,
                 from /usr/include/glib-2.0/glib-object.h:22,
                 from /usr/include/glib-2.0/gio/gioenums.h:28,
                 from /usr/include/glib-2.0/gio/giotypes.h:28,
                 from /usr/include/glib-2.0/gio/gio.h:26,
                 from /usr/include/gtk-2.0/gdk/gdkapplaunchcontext.h:30,
                 from /usr/include/gtk-2.0/gdk/gdk.h:32,
                 from ../libs/canvas/canvas/item.h:26,
                 from ../libs/canvas/canvas/rectangle.h:24,
                 from ../libs/canvas/canvas/note.h:23,
                 from ../gtk2_ardour/note.cc:22:
/usr/include/glib-2.0/gobject/gtype.h:685:3: note: declared here
  685 | } GTypeDebugFlags GLIB_DEPRECATED_TYPE_IN_2_36;
      |   ^~~~~~~~~~~~~~~
In file included from /usr/include/gtk-2.0/gtk/gtktoolitem.h:31,
                 from /usr/include/gtk-2.0/gtk/gtktoolbutton.h:30,
                 from /usr/include/gtk-2.0/gtk/gtkmenutoolbutton.h:30,
                 from /usr/include/gtk-2.0/gtk/gtk.h:126,
                 from /usr/include/gtkmm-2.4/gtkmm/targetentry.h:30,
                 from /usr/include/gtkmm-2.4/gtkmm/targetlist.h:29,
                 from /usr/include/gtkmm-2.4/gtkmm/widget.h:47,
                 from /usr/include/gtkmm-2.4/gtkmm/container.h:30,
                 from /usr/include/gtkmm-2.4/gtkmm/menushell.h:32,
                 from ../gtk2_ardour/utils.h:40,
                 from ../gtk2_ardour/ui_config.h:44,
                 from ../gtk2_ardour/note_base.h:31,
                 from ../gtk2_ardour/note.h:23,
                 from ../gtk2_ardour/note.cc:25:
/usr/include/gtk-2.0/gtk/gtktooltips.h:73:12: warning: ‘GTimeVal’ is deprecated: Use 'GDateTime' instead [-Wdeprecated-declarations]
   73 |   GTimeVal last_popdown;
      |            ^~~~~~~~~~~~
In file included from /usr/include/glib-2.0/glib/galloca.h:32,
                 from /usr/include/glib-2.0/glib.h:30,
                 from ../libs/evoral/evoral/Note.h:26,
                 from ../gtk2_ardour/note.cc:20:
/usr/include/glib-2.0/glib/gtypes.h:545:26: note: declared here
  545 | typedef struct _GTimeVal GTimeVal GLIB_DEPRECATED_TYPE_IN_2_62_FOR(GDateTime);
      |                          ^~~~~~~~
In file included from /usr/include/gtkmm-2.4/gtkmm/image.h:33,
                 from ../libs/widgets/widgets/tabbable.h:26,
                 from ../gtk2_ardour/public_editor.h:60,
                 from ../gtk2_ardour/note.cc:26:
/usr/include/gdkmm-2.4/gdkmm/pixbufanimation.h:124:72: warning: ‘GTimeVal’ is deprecated: Use 'GDateTime' instead [-Wdeprecated-declarations]
  124 |   Glib::RefPtr<PixbufAnimationIter> get_iter(const GTimeVal* start_time);
      |                                                                        ^
In file included from /usr/include/glib-2.0/glib/galloca.h:32,
                 from /usr/include/glib-2.0/glib.h:30,
                 from ../libs/evoral/evoral/Note.h:26,
                 from ../gtk2_ardour/note.cc:20:
/usr/include/glib-2.0/glib/gtypes.h:545:26: note: declared here
  545 | typedef struct _GTimeVal GTimeVal GLIB_DEPRECATED_TYPE_IN_2_62_FOR(GDateTime);
      |                          ^~~~~~~~
In file included from /usr/include/glib-2.0/glib/gthread.h:32,
                 from /usr/include/glib-2.0/glib/gasyncqueue.h:32,
                 from /usr/include/glib-2.0/glib.h:32,
                 from ../libs/evoral/evoral/Note.h:26,
                 from ../gtk2_ardour/note.cc:20:
../libs/pbd/pbd/rcu.h: In instantiation of ‘boost::shared_ptr<X> RCUManager<T>::reader() const [with T = std::__cxx11::list<boost::shared_ptr<ARDOUR::Route> >]’:
../libs/ardour/ardour/session.h:313:25:   required from here
/usr/include/glib-2.0/glib/gatomic.h:128:34: warning: cast from type ‘void* volatile*’ to type ‘void**’ casts away qualifiers [-Wcast-qual]
  128 |     gpointer *gapg_temp_atomic = (gpointer *)(atomic);                       \
      |                                  ^~~~~~~~~~~~~~~~~~~~
../libs/pbd/pbd/rcu.h:78:33: note: in expansion of macro ‘g_atomic_pointer_get’
   78 |   rv = *((boost::shared_ptr<T>*)g_atomic_pointer_get (&x.gptr));
      |                                 ^~~~~~~~~~~~~~~~~~~~
../libs/pbd/pbd/rcu.h: In instantiation of ‘boost::shared_ptr<X> RCUManager<T>::reader() const [with T = std::vector<boost::shared_ptr<ARDOUR::Bundle> >]’:
../libs/ardour/ardour/session.h:346:27:   required from here
/usr/include/glib-2.0/glib/gatomic.h:128:34: warning: cast from type ‘void* volatile*’ to type ‘void**’ casts away qualifiers [-Wcast-qual]
  128 |     gpointer *gapg_temp_atomic = (gpointer *)(atomic);                       \
      |                                  ^~~~~~~~~~~~~~~~~~~~
../libs/pbd/pbd/rcu.h:78:33: note: in expansion of macro ‘g_atomic_pointer_get’
   78 |   rv = *((boost::shared_ptr<T>*)g_atomic_pointer_get (&x.gptr));
      |                                 ^~~~~~~~~~~~~~~~~~~~

In file included from /usr/include/gtk-2.0/gtk/gtkobject.h:37,
                 from /usr/include/gtk-2.0/gtk/gtkwidget.h:36,
                 from /usr/include/gtk-2.0/gtk/gtkcontainer.h:35,
                 from /usr/include/gtk-2.0/gtk/gtkbin.h:35,
                 from /usr/include/gtk-2.0/gtk/gtkwindow.h:36,
                 from /usr/include/gtk-2.0/gtk/gtkdialog.h:35,
                 from /usr/include/gtk-2.0/gtk/gtkaboutdialog.h:32,
                 from /usr/include/gtk-2.0/gtk/gtk.h:33,
                 from /usr/include/gtkmm-2.4/gtkmm/targetentry.h:30,
                 from /usr/include/gtkmm-2.4/gtkmm/targetlist.h:29,
                 from /usr/include/gtkmm-2.4/gtkmm/widget.h:47,
                 from /usr/include/gtkmm-2.4/gtkmm/separator.h:31,
                 from ../gtk2_ardour/time_axis_view.cc:35:
/usr/include/gtk-2.0/gtk/gtktypeutils.h:236:64: warning: ‘GTypeDebugFlags’ is deprecated [-Wdeprecated-declarations]
  236 | void            gtk_type_init   (GTypeDebugFlags    debug_flags);
      |                                                                ^
In file included from /usr/include/glib-2.0/gobject/gobject.h:24,
                 from /usr/include/glib-2.0/gobject/gbinding.h:29,
                 from /usr/include/glib-2.0/glib-object.h:22,
                 from /usr/include/glibmm-2.4/glibmm/class.h:24,
                 from /usr/include/glibmm-2.4/glibmm/objectbase.h:21,
                 from /usr/include/glibmm-2.4/glibmm/object.h:29,
                 from /usr/include/pangomm-1.4/pangomm/context.h:31,
                 from /usr/include/gtkmm-2.4/gtkmm/widget.h:30,
                 from /usr/include/gtkmm-2.4/gtkmm/separator.h:31,
                 from ../gtk2_ardour/time_axis_view.cc:35:
/usr/include/glib-2.0/gobject/gtype.h:685:3: note: declared here
  685 | } GTypeDebugFlags GLIB_DEPRECATED_TYPE_IN_2_36;
      |   ^~~~~~~~~~~~~~~
In file included from /usr/include/gtk-2.0/gtk/gtktoolitem.h:31,
                 from /usr/include/gtk-2.0/gtk/gtktoolbutton.h:30,
                 from /usr/include/gtk-2.0/gtk/gtkmenutoolbutton.h:30,
                 from /usr/include/gtk-2.0/gtk/gtk.h:126,
                 from /usr/include/gtkmm-2.4/gtkmm/targetentry.h:30,
                 from /usr/include/gtkmm-2.4/gtkmm/targetlist.h:29,
                 from /usr/include/gtkmm-2.4/gtkmm/widget.h:47,
                 from /usr/include/gtkmm-2.4/gtkmm/separator.h:31,
                 from ../gtk2_ardour/time_axis_view.cc:35:
/usr/include/gtk-2.0/gtk/gtktooltips.h:73:12: warning: ‘GTimeVal’ is deprecated: Use 'GDateTime' instead [-Wdeprecated-declarations]
   73 |   GTimeVal last_popdown;
      |            ^~~~~~~~~~~~
In file included from /usr/include/glib-2.0/glib/galloca.h:32,
                 from /usr/include/glib-2.0/glib.h:30,
                 from /usr/include/glibmm-2.4/glibmm/unicode.h:23,
                 from /usr/include/glibmm-2.4/glibmm/ustring.h:21,
                 from /usr/include/gtkmm-2.4/gtkmm/separator.h:7,
                 from ../gtk2_ardour/time_axis_view.cc:35:
/usr/include/glib-2.0/glib/gtypes.h:545:26: note: declared here
  545 | typedef struct _GTimeVal GTimeVal GLIB_DEPRECATED_TYPE_IN_2_62_FOR(GDateTime);
      |                          ^~~~~~~~
In file included from /usr/include/boost/bind.hpp:30,
                 from ../libs/pbd/pbd/signals.h:37,
                 from ../libs/pbd/pbd/transmitter.h:25,
                 from ../libs/pbd/pbd/error.h:22,
                 from ../gtk2_ardour/time_axis_view.cc:37:
/usr/include/boost/bind.hpp:36:1: note: ‘#pragma message: The practice of declaring the Bind placeholders (_1, _2, ...) in the global namespace is deprecated. Please use <boost/bind/bind.hpp> + using namespace boost::placeholders, or define BOOST_BIND_GLOBAL_PLACEHOLDERS to retain the current behavior.’
   36 | BOOST_PRAGMA_MESSAGE(
      | ^~~~~~~~~~~~~~~~~~~~
In file included from /usr/include/gtkmm-2.4/gtkmm/image.h:33,
                 from /usr/include/gtkmm-2.4/gtkmm/entry.h:37,
                 from /usr/include/gtkmm-2.4/gtkmm/treeview.h:42,
                 from ../libs/gtkmm2ext/gtkmm2ext/utils.h:38,
                 from ../gtk2_ardour/time_axis_view.cc:46:
/usr/include/gdkmm-2.4/gdkmm/pixbufanimation.h:124:72: warning: ‘GTimeVal’ is deprecated: Use 'GDateTime' instead [-Wdeprecated-declarations]
  124 |   Glib::RefPtr<PixbufAnimationIter> get_iter(const GTimeVal* start_time);
      |                                                                        ^
In file included from /usr/include/glib-2.0/glib/galloca.h:32,
                 from /usr/include/glib-2.0/glib.h:30,
                 from /usr/include/glibmm-2.4/glibmm/unicode.h:23,
                 from /usr/include/glibmm-2.4/glibmm/ustring.h:21,
                 from /usr/include/gtkmm-2.4/gtkmm/separator.h:7,
                 from ../gtk2_ardour/time_axis_view.cc:35:
/usr/include/glib-2.0/glib/gtypes.h:545:26: note: declared here
  545 | typedef struct _GTimeVal GTimeVal GLIB_DEPRECATED_TYPE_IN_2_62_FOR(GDateTime);
      |                          ^~~~~~~~
In file included from /usr/include/glib-2.0/glib/gthread.h:32,
                 from /usr/include/glib-2.0/glib/gasyncqueue.h:32,
                 from /usr/include/glib-2.0/glib.h:32,
                 from /usr/include/glibmm-2.4/glibmm/unicode.h:23,
                 from /usr/include/glibmm-2.4/glibmm/ustring.h:21,
                 from /usr/include/gtkmm-2.4/gtkmm/separator.h:7,
                 from ../gtk2_ardour/time_axis_view.cc:35:
../libs/pbd/pbd/rcu.h: In instantiation of ‘boost::shared_ptr<X> RCUManager<T>::reader() const [with T = std::__cxx11::list<boost::shared_ptr<ARDOUR::Route> >]’:
../libs/ardour/ardour/session.h:313:25:   required from here
/usr/include/glib-2.0/glib/gatomic.h:128:34: warning: cast from type ‘void* volatile*’ to type ‘void**’ casts away qualifiers [-Wcast-qual]
  128 |     gpointer *gapg_temp_atomic = (gpointer *)(atomic);                       \
      |                                  ^~~~~~~~~~~~~~~~~~~~
../libs/pbd/pbd/rcu.h:78:33: note: in expansion of macro ‘g_atomic_pointer_get’
   78 |   rv = *((boost::shared_ptr<T>*)g_atomic_pointer_get (&x.gptr));
      |                                 ^~~~~~~~~~~~~~~~~~~~
../libs/pbd/pbd/rcu.h: In instantiation of ‘boost::shared_ptr<X> RCUManager<T>::reader() const [with T = std::vector<boost::shared_ptr<ARDOUR::Bundle> >]’:
../libs/ardour/ardour/session.h:346:27:   required from here
/usr/include/glib-2.0/glib/gatomic.h:128:34: warning: cast from type ‘void* volatile*’ to type ‘void**’ casts away qualifiers [-Wcast-qual]
  128 |     gpointer *gapg_temp_atomic = (gpointer *)(atomic);                       \
      |                                  ^~~~~~~~~~~~~~~~~~~~
../libs/pbd/pbd/rcu.h:78:33: note: in expansion of macro ‘g_atomic_pointer_get’
   78 |   rv = *((boost::shared_ptr<T>*)g_atomic_pointer_get (&x.gptr));
      |                                 ^~~~~~~~~~~~~~~~~~~~

In file included from /usr/include/boost/smart_ptr/detail/sp_thread_sleep.hpp:22,
                 from /usr/include/boost/smart_ptr/detail/yield_k.hpp:23,
                 from /usr/include/boost/smart_ptr/detail/spinlock_gcc_atomic.hpp:14,
                 from /usr/include/boost/smart_ptr/detail/spinlock.hpp:42,
                 from /usr/include/boost/smart_ptr/detail/spinlock_pool.hpp:25,
                 from /usr/include/boost/smart_ptr/shared_ptr.hpp:29,
                 from /usr/include/boost/smart_ptr/weak_ptr.hpp:17,
                 from /usr/include/boost/smart_ptr/enable_shared_from_this.hpp:16,
                 from /usr/include/boost/enable_shared_from_this.hpp:16,
                 from ../libs/ardour/ardour/lv2_plugin.h:31,
                 from ../gtk2_ardour/ardour_ui_options.cc:36:
/usr/include/boost/bind.hpp:36:1: note: ‘#pragma message: The practice of declaring the Bind placeholders (_1, _2, ...) in the global namespace is deprecated. Please use <boost/bind/bind.hpp> + using namespace boost::placeholders, or define BOOST_BIND_GLOBAL_PLACEHOLDERS to retain the current behavior.’
   36 | BOOST_PRAGMA_MESSAGE(
      | ^~~~~~~~~~~~~~~~~~~~
In file included from /usr/include/gtk-2.0/gtk/gtkobject.h:37,
                 from /usr/include/gtk-2.0/gtk/gtkwidget.h:36,
                 from /usr/include/gtk-2.0/gtk/gtkcontainer.h:35,
                 from /usr/include/gtk-2.0/gtk/gtkbin.h:35,
                 from /usr/include/gtk-2.0/gtk/gtkwindow.h:36,
                 from /usr/include/gtk-2.0/gtk/gtkdialog.h:35,
                 from /usr/include/gtk-2.0/gtk/gtkaboutdialog.h:32,
                 from /usr/include/gtk-2.0/gtk/gtk.h:33,
                 from /usr/include/gtkmm-2.4/gtkmm/targetentry.h:30,
                 from /usr/include/gtkmm-2.4/gtkmm/targetlist.h:29,
                 from /usr/include/gtkmm-2.4/gtkmm/widget.h:47,
                 from /usr/include/gtkmm-2.4/gtkmm/container.h:30,
                 from ../libs/gtkmm2ext/gtkmm2ext/utils.h:35,
                 from ../gtk2_ardour/ardour_ui_options.cc:41:
/usr/include/gtk-2.0/gtk/gtktypeutils.h:236:64: warning: ‘GTypeDebugFlags’ is deprecated [-Wdeprecated-declarations]
  236 | void            gtk_type_init   (GTypeDebugFlags    debug_flags);
      |                                                                ^
In file included from /usr/include/glib-2.0/gobject/gobject.h:24,
                 from /usr/include/glib-2.0/gobject/gbinding.h:29,
                 from /usr/include/glib-2.0/glib-object.h:22,
                 from /usr/include/glibmm-2.4/glibmm/value.h:24,
                 from /usr/include/glibmm-2.4/glibmm/error.h:22,
                 from /usr/include/glibmm-2.4/glibmm/threads.h:31,
                 from ../libs/pbd/pbd/stacktrace.h:30,
                 from ../gtk2_ardour/ardour_ui_options.cc:33:
/usr/include/glib-2.0/gobject/gtype.h:685:3: note: declared here
  685 | } GTypeDebugFlags GLIB_DEPRECATED_TYPE_IN_2_36;
      |   ^~~~~~~~~~~~~~~
In file included from /usr/include/gtk-2.0/gtk/gtktoolitem.h:31,
                 from /usr/include/gtk-2.0/gtk/gtktoolbutton.h:30,
                 from /usr/include/gtk-2.0/gtk/gtkmenutoolbutton.h:30,
                 from /usr/include/gtk-2.0/gtk/gtk.h:126,
                 from /usr/include/gtkmm-2.4/gtkmm/targetentry.h:30,
                 from /usr/include/gtkmm-2.4/gtkmm/targetlist.h:29,
                 from /usr/include/gtkmm-2.4/gtkmm/widget.h:47,
                 from /usr/include/gtkmm-2.4/gtkmm/container.h:30,
                 from ../libs/gtkmm2ext/gtkmm2ext/utils.h:35,
                 from ../gtk2_ardour/ardour_ui_options.cc:41:
/usr/include/gtk-2.0/gtk/gtktooltips.h:73:12: warning: ‘GTimeVal’ is deprecated: Use 'GDateTime' instead [-Wdeprecated-declarations]
   73 |   GTimeVal last_popdown;
      |            ^~~~~~~~~~~~
In file included from /usr/include/glib-2.0/glib/galloca.h:32,
                 from /usr/include/glib-2.0/glib.h:30,
                 from /usr/include/glibmm-2.4/glibmm/unicode.h:23,
                 from /usr/include/glibmm-2.4/glibmm/ustring.h:21,
                 from ../libs/pbd/pbd/convert.h:29,
                 from ../gtk2_ardour/ardour_ui_options.cc:32:
/usr/include/glib-2.0/glib/gtypes.h:545:26: note: declared here
  545 | typedef struct _GTimeVal GTimeVal GLIB_DEPRECATED_TYPE_IN_2_62_FOR(GDateTime);
      |                          ^~~~~~~~
In file included from /usr/include/gtkmm-2.4/gtkmm/image.h:33,
                 from /usr/include/gtkmm-2.4/gtkmm/entry.h:37,
                 from /usr/include/gtkmm-2.4/gtkmm/treeview.h:42,
                 from ../libs/gtkmm2ext/gtkmm2ext/utils.h:38,
                 from ../gtk2_ardour/ardour_ui_options.cc:41:
/usr/include/gdkmm-2.4/gdkmm/pixbufanimation.h:124:72: warning: ‘GTimeVal’ is deprecated: Use 'GDateTime' instead [-Wdeprecated-declarations]
  124 |   Glib::RefPtr<PixbufAnimationIter> get_iter(const GTimeVal* start_time);
      |                                                                        ^
In file included from /usr/include/glib-2.0/glib/galloca.h:32,
                 from /usr/include/glib-2.0/glib.h:30,
                 from /usr/include/glibmm-2.4/glibmm/unicode.h:23,
                 from /usr/include/glibmm-2.4/glibmm/ustring.h:21,
                 from ../libs/pbd/pbd/convert.h:29,
                 from ../gtk2_ardour/ardour_ui_options.cc:32:
/usr/include/glib-2.0/glib/gtypes.h:545:26: note: declared here
  545 | typedef struct _GTimeVal GTimeVal GLIB_DEPRECATED_TYPE_IN_2_62_FOR(GDateTime);
      |                          ^~~~~~~~
In file included from /usr/include/glib-2.0/glib/gthread.h:32,
                 from /usr/include/glib-2.0/glib/gasyncqueue.h:32,
                 from /usr/include/glib-2.0/glib.h:32,
                 from /usr/include/glibmm-2.4/glibmm/unicode.h:23,
                 from /usr/include/glibmm-2.4/glibmm/ustring.h:21,
                 from ../libs/pbd/pbd/convert.h:29,
                 from ../gtk2_ardour/ardour_ui_options.cc:32:
../libs/pbd/pbd/rcu.h: In instantiation of ‘boost::shared_ptr<X> RCUManager<T>::reader() const [with T = std::__cxx11::list<boost::shared_ptr<ARDOUR::Route> >]’:
../libs/ardour/ardour/session.h:313:25:   required from here
/usr/include/glib-2.0/glib/gatomic.h:128:34: warning: cast from type ‘void* volatile*’ to type ‘void**’ casts away qualifiers [-Wcast-qual]
  128 |     gpointer *gapg_temp_atomic = (gpointer *)(atomic);                       \
      |                                  ^~~~~~~~~~~~~~~~~~~~
../libs/pbd/pbd/rcu.h:78:33: note: in expansion of macro ‘g_atomic_pointer_get’
   78 |   rv = *((boost::shared_ptr<T>*)g_atomic_pointer_get (&x.gptr));
      |                                 ^~~~~~~~~~~~~~~~~~~~
../libs/pbd/pbd/rcu.h: In instantiation of ‘boost::shared_ptr<X> RCUManager<T>::reader() const [with T = std::vector<boost::shared_ptr<ARDOUR::Bundle> >]’:
../libs/ardour/ardour/session.h:346:27:   required from here
/usr/include/glib-2.0/glib/gatomic.h:128:34: warning: cast from type ‘void* volatile*’ to type ‘void**’ casts away qualifiers [-Wcast-qual]
  128 |     gpointer *gapg_temp_atomic = (gpointer *)(atomic);                       \
      |                                  ^~~~~~~~~~~~~~~~~~~~
../libs/pbd/pbd/rcu.h:78:33: note: in expansion of macro ‘g_atomic_pointer_get’
   78 |   rv = *((boost::shared_ptr<T>*)g_atomic_pointer_get (&x.gptr));
      |                                 ^~~~~~~~~~~~~~~~~~~~

In file included from /usr/include/gtk-2.0/gtk/gtkobject.h:37,
                 from /usr/include/gtk-2.0/gtk/gtkwidget.h:36,
                 from /usr/include/gtk-2.0/gtk/gtkcontainer.h:35,
                 from /usr/include/gtk-2.0/gtk/gtkbin.h:35,
                 from /usr/include/gtk-2.0/gtk/gtkwindow.h:36,
                 from /usr/include/gtk-2.0/gtk/gtkdialog.h:35,
                 from /usr/include/gtk-2.0/gtk/gtkaboutdialog.h:32,
                 from /usr/include/gtk-2.0/gtk/gtk.h:33,
                 from /usr/include/gtkmm-2.4/gtkmm/treeiter.h:34,
                 from /usr/include/gtkmm-2.4/gtkmm/treemodel.h:31,
                 from /usr/include/gtkmm-2.4/gtkmm/treedragdest.h:31,
                 from /usr/include/gtkmm-2.4/gtkmm/liststore.h:29,
                 from ../gtk2_ardour/rc_option_editor.cc:36:
/usr/include/gtk-2.0/gtk/gtktypeutils.h:236:64: warning: ‘GTypeDebugFlags’ is deprecated [-Wdeprecated-declarations]
  236 | void            gtk_type_init   (GTypeDebugFlags    debug_flags);
      |                                                                ^
In file included from /usr/include/glib-2.0/gobject/gobject.h:24,
                 from /usr/include/glib-2.0/gobject/gbinding.h:29,
                 from /usr/include/glib-2.0/glib-object.h:22,
                 from /usr/include/glibmm-2.4/glibmm/class.h:24,
                 from /usr/include/glibmm-2.4/glibmm/objectbase.h:21,
                 from /usr/include/glibmm-2.4/glibmm/object.h:29,
                 from /usr/include/glibmm-2.4/glibmm/interface.h:20,
                 from /usr/include/gtkmm-2.4/gtkmm/treedragdest.h:29,
                 from /usr/include/gtkmm-2.4/gtkmm/liststore.h:29,
                 from ../gtk2_ardour/rc_option_editor.cc:36:
/usr/include/glib-2.0/gobject/gtype.h:685:3: note: declared here
  685 | } GTypeDebugFlags GLIB_DEPRECATED_TYPE_IN_2_36;
      |   ^~~~~~~~~~~~~~~
In file included from /usr/include/gtk-2.0/gtk/gtktoolitem.h:31,
                 from /usr/include/gtk-2.0/gtk/gtktoolbutton.h:30,
                 from /usr/include/gtk-2.0/gtk/gtkmenutoolbutton.h:30,
                 from /usr/include/gtk-2.0/gtk/gtk.h:126,
                 from /usr/include/gtkmm-2.4/gtkmm/treeiter.h:34,
                 from /usr/include/gtkmm-2.4/gtkmm/treemodel.h:31,
                 from /usr/include/gtkmm-2.4/gtkmm/treedragdest.h:31,
                 from /usr/include/gtkmm-2.4/gtkmm/liststore.h:29,
                 from ../gtk2_ardour/rc_option_editor.cc:36:
/usr/include/gtk-2.0/gtk/gtktooltips.h:73:12: warning: ‘GTimeVal’ is deprecated: Use 'GDateTime' instead [-Wdeprecated-declarations]
   73 |   GTimeVal last_popdown;
      |            ^~~~~~~~~~~~
In file included from /usr/include/glib-2.0/glib/galloca.h:32,
                 from /usr/include/glib-2.0/glib.h:30,
                 from /usr/include/glibmm-2.4/glibmm/unicode.h:23,
                 from /usr/include/glibmm-2.4/glibmm/ustring.h:21,
                 from /usr/include/gtkmm-2.4/gtkmm/liststore.h:7,
                 from ../gtk2_ardour/rc_option_editor.cc:36:
/usr/include/glib-2.0/glib/gtypes.h:545:26: note: declared here
  545 | typedef struct _GTimeVal GTimeVal GLIB_DEPRECATED_TYPE_IN_2_62_FOR(GDateTime);
      |                          ^~~~~~~~
In file included from /usr/include/gtkmm-2.4/gtkmm/image.h:33,
                 from /usr/include/gtkmm-2.4/gtkmm/stock.h:27,
                 from ../gtk2_ardour/rc_option_editor.cc:37:
/usr/include/gdkmm-2.4/gdkmm/pixbufanimation.h:124:72: warning: ‘GTimeVal’ is deprecated: Use 'GDateTime' instead [-Wdeprecated-declarations]
  124 |   Glib::RefPtr<PixbufAnimationIter> get_iter(const GTimeVal* start_time);
      |                                                                        ^
In file included from /usr/include/glib-2.0/glib/galloca.h:32,
                 from /usr/include/glib-2.0/glib.h:30,
                 from /usr/include/glibmm-2.4/glibmm/unicode.h:23,
                 from /usr/include/glibmm-2.4/glibmm/ustring.h:21,
                 from /usr/include/gtkmm-2.4/gtkmm/liststore.h:7,
                 from ../gtk2_ardour/rc_option_editor.cc:36:
/usr/include/glib-2.0/glib/gtypes.h:545:26: note: declared here
  545 | typedef struct _GTimeVal GTimeVal GLIB_DEPRECATED_TYPE_IN_2_62_FOR(GDateTime);
      |                          ^~~~~~~~
In file included from /usr/include/boost/bind.hpp:30,
                 from ../libs/pbd/pbd/signals.h:37,
                 from ../libs/pbd/pbd/transmitter.h:25,
                 from ../libs/pbd/pbd/receiver.h:27,
                 from ../libs/pbd/pbd/abstract_ui.h:31,
                 from ../libs/gtkmm2ext/gtkmm2ext/gtk_ui.h:52,
                 from ../gtk2_ardour/rc_option_editor.cc:41:
/usr/include/boost/bind.hpp:36:1: note: ‘#pragma message: The practice of declaring the Bind placeholders (_1, _2, ...) in the global namespace is deprecated. Please use <boost/bind/bind.hpp> + using namespace boost::placeholders, or define BOOST_BIND_GLOBAL_PLACEHOLDERS to retain the current behavior.’
   36 | BOOST_PRAGMA_MESSAGE(
      | ^~~~~~~~~~~~~~~~~~~~
In file included from /usr/include/glib-2.0/glib/gthread.h:32,
                 from /usr/include/glib-2.0/glib/gasyncqueue.h:32,
                 from /usr/include/glib-2.0/glib.h:32,
                 from /usr/include/glibmm-2.4/glibmm/unicode.h:23,
                 from /usr/include/glibmm-2.4/glibmm/ustring.h:21,
                 from /usr/include/gtkmm-2.4/gtkmm/liststore.h:7,
                 from ../gtk2_ardour/rc_option_editor.cc:36:
../libs/pbd/pbd/rcu.h: In instantiation of ‘boost::shared_ptr<X> RCUManager<T>::reader() const [with T = std::__cxx11::list<boost::shared_ptr<ARDOUR::Route> >]’:
../libs/ardour/ardour/session.h:313:25:   required from here
/usr/include/glib-2.0/glib/gatomic.h:128:34: warning: cast from type ‘void* volatile*’ to type ‘void**’ casts away qualifiers [-Wcast-qual]
  128 |     gpointer *gapg_temp_atomic = (gpointer *)(atomic);                       \
      |                                  ^~~~~~~~~~~~~~~~~~~~
../libs/pbd/pbd/rcu.h:78:33: note: in expansion of macro ‘g_atomic_pointer_get’
   78 |   rv = *((boost::shared_ptr<T>*)g_atomic_pointer_get (&x.gptr));
      |                                 ^~~~~~~~~~~~~~~~~~~~
../libs/pbd/pbd/rcu.h: In instantiation of ‘boost::shared_ptr<X> RCUManager<T>::reader() const [with T = std::vector<boost::shared_ptr<ARDOUR::Bundle> >]’:
../libs/ardour/ardour/session.h:346:27:   required from here
/usr/include/glib-2.0/glib/gatomic.h:128:34: warning: cast from type ‘void* volatile*’ to type ‘void**’ casts away qualifiers [-Wcast-qual]
  128 |     gpointer *gapg_temp_atomic = (gpointer *)(atomic);                       \
      |                                  ^~~~~~~~~~~~~~~~~~~~
../libs/pbd/pbd/rcu.h:78:33: note: in expansion of macro ‘g_atomic_pointer_get’
   78 |   rv = *((boost::shared_ptr<T>*)g_atomic_pointer_get (&x.gptr));
      |                                 ^~~~~~~~~~~~~~~~~~~~
../libs/pbd/pbd/rcu.h: In instantiation of ‘bool RCUManager<T>::active_read() const [with T = std::map<std::__cxx11::basic_string<char>, boost::shared_ptr<ARDOUR::Port> >]’:
../libs/pbd/pbd/rcu.h:207:52:   required from ‘bool SerializedRCUManager<T>::update(boost::shared_ptr<X>) [with T = std::map<std::__cxx11::basic_string<char>, boost::shared_ptr<ARDOUR::Port> >]’
../libs/pbd/pbd/rcu.h:183:7:   required from here
/usr/include/glib-2.0/glib/gatomic.h:95:20: warning: cast from type ‘volatile gint*’ {aka ‘volatile int*’} to type ‘gint*’ {aka ‘int*’} casts away qualifiers [-Wcast-qual]
   95 |     __atomic_load ((gint *)(atomic), &gaig_temp, __ATOMIC_SEQ_CST);          \
      |                    ^~~~~~~~~~~~~~~~
../libs/pbd/pbd/rcu.h:107:10: note: in expansion of macro ‘g_atomic_int_get’
  107 |   return g_atomic_int_get (&_active_reads) != 0;
      |          ^~~~~~~~~~~~~~~~

Waf: Leaving directory `/home/alexmitchell/Documents/github/ardour/build'
Build failed
 -> task in 'ardour-6.5.62' failed with exit status 1: 
	{task 139758387690624: cxx lv2_plugin_ui.cc -> lv2_plugin_ui.cc.1.o}
['/usr/bin/g++', '-I/home/alexmitchell/Documents/github/ardour', '-DHAVE_RF64_RIFF', '-DWAF_BUILD', '-g', '-fshow-column', '-DARCH_X86', '-mmmx', '-msse', '-mfpmath=sse', '-DUSE_XMMINTRIN', '-DBUILD_SSE_OPTIMIZATIONS', '-DLXVST_64BIT', '-Wall', '-Wpointer-arith', '-Wcast-qual', '-Wcast-align', '-Wno-unused-parameter', '-DBOOST_SYSTEM_NO_DEPRECATED', '-D_ISOC9X_SOURCE', '-D_LARGEFILE64_SOURCE', '-D_FILE_OFFSET_BITS=64', '-DPROGRAM_NAME="Ardour"', '-DPROGRAM_VERSION="6"', '-Woverloaded-virtual', '-Wno-unused-local-typedefs', '-D__STDC_LIMIT_MACROS', '-D__STDC_FORMAT_MACROS', '-DCANVAS_COMPATIBILITY', '-DCANVAS_DEBUG', '-DBOOST_ERROR_CODE_HEADER_ONLY', '-pthread', '-pthread', '-pthread', '-pthread', '-pthread', '-pthread', '-pthread', '-Igtk2_ardour', '-I../gtk2_ardour', '-Ilibs', '-I../libs', '-Ilibs/vst3', '-I../libs/vst3', '-Ilibs/surfaces/control_protocol', '-I../libs/surfaces/control_protocol', '-Ilibs/surfaces/control_protocol/control_protocol', '-I../libs/surfaces/control_protocol/control_protocol', '-Ilibs/waveview', '-I../libs/waveview', '-Ilibs/ardour', '-I../libs/ardour', '-Ilibs/midi++2', '-I../libs/midi++2', '-Ilibs/evoral', '-I../libs/evoral', '-Ilibs/audiographer', '-I../libs/audiographer', '-Ilibs/audiographer/src', '-I../libs/audiographer/src', '-Ilibs/ptformat', '-I../libs/ptformat', '-Ilibs/canvas', '-I../libs/canvas', '-Ilibs/widgets', '-I../libs/widgets', '-Ilibs/gtkmm2ext', '-I../libs/gtkmm2ext', '-Ilibs/pbd', '-I../libs/pbd', '-Ilibs/evoral/libsmf', '-I../libs/evoral/libsmf', '-Ilibs/temporal', '-I../libs/temporal', '-Ilibs/lua', '-I../libs/lua', '-Ilibs/zita-resampler', '-I../libs/zita-resampler', '-Ilibs/zita-convolver', '-I../libs/zita-convolver', '-Ilibs/libltc/ltc', '-I../libs/libltc/ltc', '-Ilibs/fluidsynth/fluidsynth', '-I../libs/fluidsynth/fluidsynth', '-I/usr/include/freetype2', '-I/usr/include/libpng16', '-I/usr/include/harfbuzz', '-I/usr/include/glib-2.0', '-I/usr/lib/glib-2.0/include', '-I/usr/include/glibmm-2.4', '-I/usr/lib/glibmm-2.4/include', '-I/usr/include/sigc++-2.0', '-I/usr/lib/sigc++-2.0/include', '-I/usr/include/gtk-2.0', '-I/usr/lib/gtk-2.0/include', '-I/usr/include/pango-1.0', '-I/usr/include/libmount', '-I/usr/include/blkid', '-I/usr/include/fribidi', '-I/usr/include/cairo', '-I/usr/include/lzo', '-I/usr/include/pixman-1', '-I/usr/include/gdk-pixbuf-2.0', '-I/usr/include/atk-1.0', '-I/usr/include/gtkmm-2.4', '-I/usr/lib/gtkmm-2.4/include', '-I/usr/include/atkmm-1.6', '-I/usr/lib/atkmm-1.6/include', '-I/usr/include/giomm-2.4', '-I/usr/lib/giomm-2.4/include', '-I/usr/include/pangomm-1.4', '-I/usr/lib/pangomm-1.4/include', '-I/usr/include/cairomm-1.0', '-I/usr/lib/cairomm-1.0/include', '-I/usr/include/gtk-unix-print-2.0', '-I/usr/include/gdkmm-2.4', '-I/usr/lib/gdkmm-2.4/include', '-I/usr/include/taglib', '-I/usr/include/libxml2', '-I/usr/include/lilv-0', '-I/usr/include/serd-0', '-I/usr/include/sord-0', '-I/usr/include/sratom-0', '-I/usr/include/raptor2', '-I/usr/include/suil-0', '-I/home/alexmitchell/Documents/github/ardour/build', '-DINTERNAL_SHARED_LIBS=1', '-DHAVE_ALSA=1', '-DHAVE_PULSEAUDIO=1', '-DHAVE_GLIB=1', '-DHAVE_GTHREAD=1', '-DHAVE_GLIBMM=1', '-DHAVE_SNDFILE=1', '-DHAVE_GIOMM=1', '-DHAVE_CURL=1', '-DHAVE_ARCHIVE=1', '-DHAVE_LO=1', '-DHAVE_TAGLIB=1', '-DHAVE_VAMPSDK=1', '-DHAVE_VAMPHOSTSDK=1', '-DHAVE_RUBBERBAND=1', '-DEXPORT_VISIBILITY_HIDDEN=0', '-DPHONE_HOME=1', '-DENABLE_NLS=1', '-DLXVST_SUPPORT=1', '-DVST3_SUPPORT=1', '-DHAVE_JACK=1', '-DCONFIG_ARCH="x86_64"', '-DHAVE_TOOLS_SANITY_CHECK=1', '-DHAVE_TOOLS_GCCABICHECK=1', '-DHAVE_LIBS_CLEARLOOKS_NEWER=1', '-DHAVE_LIBS_FLUIDSYNTH=1', '-DHAVE_UDEV=1', '-DHAVE_HIDAPI=1', '-DHAVE_LIBS_HIDAPI=1', '-DHAVE_LIBS_LIBLTC=1', '-DHAVE_LIBS_LUA=1', '-DHAVE_LIBS_PTFORMAT=1', '-DHAVE_LIBS_QM_DSP=1', '-DHAVE_FFTW3F=1', '-DHAVE_AUBIO=1', '-DHAVE_AUBIO4=1', '-DHAVE_LIBS_VAMP_PLUGINS=1', '-DHAVE_LIBS_VAMP_PYIN=1', '-DHAVE_LIBS_ZITA_RESAMPLER=1', '-DHAVE_LIBS_ZITA_CONVOLVER=1', '-DHAVE_XML=1', '-DHAVE_SIGCPP=1', '-DHAVE_EXECINFO=1', '-DHAVE_POSIX_MEMALIGN=1', '-DHAVE_GETMNTENT=1', '-DHAVE_LOCALTIME_R=1', '-DHAVE_LIBS_PBD=1', '-DHAVE_CPPUNIT=1', '-DHAVE_LIBS_MIDIPP2=1', '-DHAVE_LIBS_EVORAL=1', '-DHAVE_USB=1', '-DHAVE_WEBSOCKETS=1', '-DHAVE_CONTROL_PROTOCOL=1', '-DHAVE_FADERPORT=1', '-DHAVE_FADERPORT8=1', '-DHAVE_CC121=1', '-DHAVE_GENERIC_MIDI=1', '-DHAVE_MACKIE=1', '-DHAVE_US2400=1', '-DHAVE_LAUNCH_CONTROL_XL=1', '-DHAVE_PANGOMM=1', '-DHAVE_CAIROMM=1', '-DHAVE_PUSH2=1', '-DHAVE_CONTOURDESIGN=1', '-DHAVE_LIBS_SURFACES=1', '-DHAVE_2IN2OUT=1', '-DHAVE_1IN2OUT=1', '-DHAVE_VBAP=1', '-DHAVE_STEREOBALANCE=1', '-DHAVE_LIBS_PANNERS=1', '-DHAVE_DUMMY=1', '-DHAVE_JACK_METADATA=1', '-DHAVE_JACK_PORT_RENAME=1', '-DHAVE_LIBS_BACKENDS=1', '-DHAVE_LIBS_TEMPORAL=1', '-DHAVE_LRDF=1', '-DHAVE_SAMPLERATE=1', '-DHAVE_LV2=1', '-DHAVE_LV2_1_10_0=1', '-DHAVE_LV2_1_17_2=1', '-DHAVE_SERD=1', '-DHAVE_SORD=1', '-DHAVE_SRATOM=1', '-DHAVE_LILV=1', '-DHAVE_SUIL=1', '-DLV2_SUPPORT=1', '-DLV2_EXTENDED=1', '-DHAVE_SOUNDTOUCH=1', '-DHAVE_OGG=1', '-DHAVE_FLAC=1', '-DHAVE_FFTW35F=1', '-DUSE_RUBBERBAND=1', '-DCURRENT_SESSION_FILE_VERSION=6000', '-DHAVE_SYS_VFS_H=1', '-DHAVE_SYS_STATVFS_H=1', '-DHAVE_UNISTD=1', '-DHAVE_BOOST_SCOPED_PTR_HPP=1', '-DHAVE_BOOST_PTR_CONTAINER_PTR_LIST_HPP=1', '-DHAVE_LIBS_ARDOUR=1', '-DHAVE_GTKMM=1', '-DHAVE_GTK=1', '-DHAVE_LIBS_GTKMM2EXT=1', '-DHAVE_BOOST_FORMAT_HPP=1', '-DHAVE_LIBS_AUDIOGRAPHER=1', '-DHAVE_LIBS_CANVAS=1', '-DHAVE_LIBS_WIDGETS=1', '-DHAVE_LIBS_WAVEVIEW=1', '-DHAVE_LV2_1_0_0=1', '-DHAVE_LIBS_PLUGINS_REASONABLESYNTH_LV2=1', '-DHAVE_CAIRO=1', '-DHAVE_LIBS_PLUGINS_A_COMP_LV2=1', '-DHAVE_LIBS_PLUGINS_A_EXP_LV2=1', '-DHAVE_LIBS_PLUGINS_A_DELAY_LV2=1', '-DHAVE_LIBS_PLUGINS_A_EQ_LV2=1', '-DHAVE_LIBS_PLUGINS_A_REVERB_LV2=1', '-DHAVE_LIBS_PLUGINS_A_FLUIDSYNTH_LV2=1', '-DHAVE_X11=1', '-DHAVE_PANGOFT2=1', '-DHAVE_FONTCONFIG=1', '-DHAVE_BOOST_SHARED_PTR_HPP=1', '-DHAVE_BOOST_WEAK_PTR_HPP=1', '-DHAVE_GTK2_ARDOUR=1', '-DHAVE_SHARE_EXPORT=1', '-DHAVE_SHARE_MIDI_MAPS=1', '-DHAVE_SHARE_MCP=1', '-DHAVE_SHARE_OSC=1', '-DHAVE_SHARE_PATCHFILES=1', '-DHAVE_SHARE_PLUGIN_METADATA=1', '-DHAVE_SHARE_SCRIPTS=1', '-DHAVE_SHARE_WEB_SURFACES=1', '-DHAVE_HEADLESS=1', '-DHAVE_READLINE=1', '-DHAVE_LUASESSION=1', '-DHAVE_SESSION_UTILS=1', '-DHAVE_LIBS_FST=1', '-DHAVE_LIBS_VFORK=1', '-DHAVE_DBUS=1', '-DHAVE_LIBS_ARDOURALSAUTIL=1', '-DPACKAGE="gtk2_ardour6"', '-DDATA_DIR="/usr/local/share/ardour6"', '-DCONFIG_DIR="/usr/local/etc"', '-DLOCALEDIR="/usr/local/share/ardour6/locale"', '-DLXVST_SUPPORT', '-DPHONE_HOME', '../gtk2_ardour/lv2_plugin_ui.cc', '-c', '-o/home/alexmitchell/Documents/github/ardour/build/gtk2_ardour/lv2_plugin_ui.cc.1.o']

build_fail (75,075 bytes)

x42

2020-12-24 11:33

administrator   ~0025352

It's setup issue on your system. Ardour fails to compile optional code that needs LV2-1.17.2 (or later).

See if `./waf configure ... ` fixes it.

The code that fails to compile has been present since 6.0.0, but has always been optional (depending if you have LV2 > 1.17.2 installed at compile time).
The issue is likely some upgrade/downgrade on your system.

alexmitchellmus

2020-12-27 06:24

reporter   ~0025358

Thanks! Yes I had to go back to 1.16 (for some reason 1.17 is missing in Arch).

anonymous

2021-02-22 03:30

viewer   ~0025542

Issue has been closed automatically, by Trigger Close Plugin.
Feel free to re-open with additional information if you think the issue is not resolved.

Issue History

Date Modified Username Field Change
2020-12-24 03:28 alexmitchellmus New Issue
2020-12-24 03:28 alexmitchellmus File Added: build_fail
2020-12-24 11:33 x42 Note Added: 0025352
2020-12-24 11:33 x42 Assigned To => x42
2020-12-24 11:33 x42 Status new => feedback
2020-12-27 06:24 alexmitchellmus Note Added: 0025358
2020-12-27 06:24 alexmitchellmus Status feedback => assigned
2020-12-27 10:21 x42 Status assigned => resolved
2020-12-27 10:21 x42 Resolution open => no change required
2021-02-22 03:30 anonymous Note Added: 0025542
2021-02-22 03:30 anonymous Status resolved => closed